> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Pages

GET https://api.bigcommerce.com/stores/{store_hash}/v3/content/pages

Returns one or more content pages. This endpoint supports bulk operations.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/content/pages/get-pages

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify |`store_v2_content`| | Content | read-only |`store_v2_content_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `channel_id` (integer, optional) — Return only pages associated with the specified channel.
- `id:in` (list of integer, optional) — A comma-separated string of page IDs to fetch. Supports bulk operations. If none of the page IDs passed exist, the query will return an empty `data` array.
- `name` (string, optional) — Name of the page.
- `name:like` (string, optional) — Return only pages whose `name` or `body` contain the supplied string.
- `limit` (integer, optional) — The number of results to return per request. See `meta.pagination.per_page` in the response body.
- `page` (integer, optional) — The ordered grouping of results to return. See `meta.pagination.current_page` in the response body.
- `include` (list of enum, optional) — Include the requested property in the response. The `body` property returns the page’s markup, text, or raw content.
  - Allowed values: `body`

### Headers

- `Accept` (string, required, default: application/json) — The MIME type of the response body that the client accepts. Typically `application/json`.

## Response

### 200

OK

- `data` (list of PagesCollectionResponseDataItems, optional)
- `meta` (ResponseMeta, optional) — Data about the response, including pagination and collection totals.

## Errors

### 400 Bad Request Error

Bad Request; reasons for failure include passing query parameters that are not supported on this endpoint, but are common on other BigCommerce endpoints.

- `status` (integer, required) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `detail` (string, optional)

### 422 Unprocessable Entity Error

Invalid input. Reasons for failure include passing supported parameters with values that have the incorrect datatype.

- `status` (integer, required) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `errors` (list of string, optional)

## Types

### PagesCollectionResponseDataItems

### ResponseMeta

Data about the response, including pagination and collection totals.

- `pagination` (ResponseMetaPagination, optional) — Data about the response, including pagination and collection totals.

### typePage

`type: page`. A user-defined plain-text page.

- `name` (string, required) — The name of the page. Must be unique.
- `type` (enum, required) — Determines the type of page. See [Pages V3 page types](/developer/api-reference/rest/admin/content/pages#page-types) for more about the differences.
  - Allowed values: `page`, `raw`, `contact_form`, `link`, `blog`
- `id` (integer, optional)
- `channel_id` (integer, optional, default: 1)
- `is_visible` (boolean, optional, default: true) — A boolean value that controls whether the page is available to users or visible in any navigation menus.
- `parent_id` (integer, optional, default: 0) — ID of the parent page, if any.
- `sort_order` (integer, optional) — Determines the order in which the page is displayed in the parent page’s menu. Pages with lower integers display earlier.
- `is_homepage` (boolean, optional, default: false) — Determines whether this page loads at the siteʼs root route. For example, at `https://example.com/`.
- `is_customers_only` (boolean, optional, default: false) — When `true`, this page is visible only to logged-in customers.
- `url` (string, optional) — Relative URL on the storefront for this page.
- `meta_title` (string, optional, nullable)
- `meta_keywords` (string, optional, nullable, default: "") — Comma-separated list of SEO-relevant keywords to include in the element of this page.
- `meta_description` (string, optional, nullable, default: "") — Description contained within the element of this page.
- `search_keywords` (string, optional, nullable, default: "") — Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

### typeBlog

A page that contains blog posts. Use caution; `blog`-type pages can only be created in the store control panel, but you may be able to change the type of a blog page to something else with this API. Use the [blog feature of the REST Content API](/developer/api-reference/rest/admin/content/store-content/blog-posts/create-blog-posts) to work with blog posts and tags.

- `name` (string, required) — The name of the page. Must be unique.
- `type` (enum, required) — Determines the type of page. See [Pages V3 page types](/developer/api-reference/rest/admin/content/pages#page-types) for more about the differences.
  - Allowed values: `page`, `raw`, `contact_form`, `link`, `blog`
- `id` (integer, optional)
- `channel_id` (integer, optional, default: 1)
- `is_visible` (boolean, optional, default: true) — A boolean value that controls whether the page is available to users or visible in any navigation menus.
- `parent_id` (integer, optional, default: 0) — ID of the parent page, if any.
- `sort_order` (integer, optional) — Determines the order in which the page is displayed in the parent page’s menu. Pages with lower integers display earlier.
- `is_homepage` (boolean, optional, default: false) — Determines whether this page loads at the siteʼs root route. For example, at `https://example.com/`.
- `is_customers_only` (boolean, optional, default: false) — When `true`, this page is visible only to logged-in customers.
- `url` (string, optional) — Relative URL on the storefront for this page.
- `meta_title` (string, optional, nullable)
- `meta_keywords` (string, optional, nullable, default: "") — Comma-separated list of SEO-relevant keywords to include in the element of this page.
- `meta_description` (string, optional, nullable, default: "") — Description contained within the element of this page.
- `search_keywords` (string, optional, nullable, default: "") — Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

### typeContactForm

`type: contact_form`. A user-customizable page that contains a contact form. Body content returns HTML.

- `name` (string, required) — The name of the page. Must be unique.
- `type` (enum, required) — Determines the type of page. See [Pages V3 page types](/developer/api-reference/rest/admin/content/pages#page-types) for more about the differences.
  - Allowed values: `page`, `raw`, `contact_form`, `link`, `blog`
- `id` (integer, optional)
- `channel_id` (integer, optional, default: 1)
- `is_visible` (boolean, optional, default: true) — A boolean value that controls whether the page is available to users or visible in any navigation menus.
- `parent_id` (integer, optional, default: 0) — ID of the parent page, if any.
- `sort_order` (integer, optional) — Determines the order in which the page is displayed in the parent page’s menu. Pages with lower integers display earlier.
- `is_homepage` (boolean, optional, default: false) — Determines whether this page loads at the siteʼs root route. For example, at `https://example.com/`.
- `is_customers_only` (boolean, optional, default: false) — When `true`, this page is visible only to logged-in customers.
- `url` (string, optional) — Relative URL on the storefront for this page.
- `meta_title` (string, optional, nullable)
- `meta_keywords` (string, optional, nullable, default: "") — Comma-separated list of SEO-relevant keywords to include in the element of this page.
- `meta_description` (string, optional, nullable, default: "") — Description contained within the element of this page.
- `search_keywords` (string, optional, nullable, default: "") — Comma-separated list of keywords that shoppers can use to locate this page when searching the store.
- `email` (string, optional) — Applicable when the page type is `contact_form`: contact email address that receives messages sent using the form. Must be unique.
- `contact_fields` (string, optional) — A comma-separated list of the contact field forms that are enabled in the store control panel for display on the subject storefront. Possible fields include: | Field | Description | |:------|:------------| | `fullname` | The full name of the customer submitting the form. | | `phone` | The customer’s phone number. | | `companyname` | The customer’s company name. | | `orderno` | A field that lets customers specify a subject order number. | | `rma` | A customer’s submitted RMA (Return Merchandise Authorization) number. |

### typeRaw

`type: raw`. A user-defined page with a body that contains HTML markup or other stringified code.

- `name` (string, required) — The name of the page. Must be unique.
- `type` (enum, required) — Determines the type of page. See [Pages V3 page types](/developer/api-reference/rest/admin/content/pages#page-types) for more about the differences.
  - Allowed values: `page`, `raw`, `contact_form`, `link`, `blog`
- `body` (string, required, nullable) — HTML or variable that populates the element of this page, in default/desktop view. Required in a `POST` request if the page type is `raw`.
- `id` (integer, optional)
- `channel_id` (integer, optional, default: 1)
- `is_visible` (boolean, optional, default: true) — A boolean value that controls whether the page is available to users or visible in any navigation menus.
- `parent_id` (integer, optional, default: 0) — ID of the parent page, if any.
- `sort_order` (integer, optional) — Determines the order in which the page is displayed in the parent page’s menu. Pages with lower integers display earlier.
- `is_homepage` (boolean, optional, default: false) — Determines whether this page loads at the siteʼs root route. For example, at `https://example.com/`.
- `is_customers_only` (boolean, optional, default: false) — When `true`, this page is visible only to logged-in customers.
- `url` (string, optional) — Relative URL on the storefront for this page.
- `search_keywords` (string, optional, nullable, default: "") — Comma-separated list of keywords that shoppers can use to locate this page when searching the store.
- `content_type` (string, optional) — The MIME type of the page body.

### typeLink

`type: link`. A link to an external absolute URL. Displays in the menu of other pages that contain markup. Does not contain a body.

- `name` (string, required) — The name of the page. Must be unique.
- `type` (enum, required) — Determines the type of page. See [Pages V3 page types](/developer/api-reference/rest/admin/content/pages#page-types) for more about the differences.
  - Allowed values: `page`, `raw`, `contact_form`, `link`, `blog`
- `link` (string, required) — The link for the page type `link`.
- `id` (integer, optional)
- `channel_id` (integer, optional, default: 1)
- `is_visible` (boolean, optional, default: true) — A boolean value that controls whether the page is available to users or visible in any navigation menus.
- `parent_id` (integer, optional, default: 0) — ID of the parent page, if any.
- `sort_order` (integer, optional) — Determines the order in which the page is displayed in the parent page’s menu. Pages with lower integers display earlier.
- `is_homepage` (boolean, optional, default: false) — Determines whether this page loads at the siteʼs root route. For example, at `https://example.com/`.
- `is_customers_only` (boolean, optional, default: false) — When `true`, this page is visible only to logged-in customers.
- `url` (string, optional) — Relative URL on the storefront for this page.

### ResponseMetaPagination

Data about the response, including pagination and collection totals.

- `total` (integer, optional) — Total number of items in the result set.
- `count` (integer, optional) — Total number of items in the collection response.
- `per_page` (integer, optional) — The amount of items returned in the collection per page, controlled by the limit parameter.
- `current_page` (integer, optional) — The page you are currently on within the collection.
- `total_pages` (integer, optional) — The total number of pages in the collection.
- `links` (ResponseMetaPaginationLinks, optional) — Pagination links for the previous and next parts of the whole collection.

### ResponseMetaPaginationLinks

Pagination links for the previous and next parts of the whole collection.

- `previous` (string, optional) — Link to the previous page returned in the response.
- `current` (string, optional) — Link to the current page returned in the response.
- `next` (string, optional) — Link to the next page returned in the response.

## Examples

**Response**

```json
{
  "data": [
    {
      "channel_id": 1,
      "id": 1,
      "is_customers_only": false,
      "is_homepage": false,
      "is_visible": true,
      "meta_description": "\"\"",
      "meta_keywords": "\"\"",
      "meta_title": "string",
      "name": "About Our Company",
      "parent_id": 0,
      "search_keywords": "trousers,pockets,luxury",
      "sort_order": 0,
      "type": "page",
      "url": "/my-store-page"
    }
  ],
  "meta": {
    "pagination": {
      "total": 1,
      "count": 1,
      "per_page": 1,
      "current_page": 1,
      "total_pages": 1,
      "links": {
        "previous": "string",
        "current": "string",
        "next": "string"
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/content/pages"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/content/pages';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/content/pages"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/content/pages")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/content/pages")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/content/pages', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/content/pages");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/content/pages")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```